#!/bin/sh
# *******************************************************************************
#  Elments sous licence - Proprit d'IBM
#  (c) Copyright IBM Corporation 2012. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Dfinir les variables d'environnement correspondant aux
# # paramtres du script relm_upgrade.sh et leurs valeurs par dfaut
# #
# #===========================================================
# #
# # Ce fichier est lu au dbut de l'excution du script
# # relm_upgrade.sh. Il associe une variable d'environnement
# # par paramtre valide  une valeur par dfaut prdfinie.
# #
# # Les utilisateurs peuvent vouloir modifier la valeur par dfaut
# # pour lancer le script relm_upgrade.sh avec leurs propres
# # valeurs sans avoir  entrer le paramtre et sa valeur
# # manuellement sur la ligne de commande.
# # corresponding value manually at the command line.
# # AVERTISSEMENT :
# # Les variables ne doivent pas toutes tre dfinies pour chaque
# # application.  Lisez avec attention chaque commentaire avant de
# # modifier la valeur.
# # the value.
# #
# #############################################################

# Paramtre : -oldApplicationHome
# Syntaxe : -oldApplicationHome <chemin rp>
# Description :
# 	Chemin complet d'accs au rpertoire de base de l'application dans l'ancienne installation.
# Valeur par dfaut :
# 	<aucune>
# Contraintes :
#  - Il s'agit d'un paramtre obligatoire.
#  - <chemin rp> doit tre un rpertoire existant termin par 'server\conf'
#    e.g. /opt/ibm/JazzInstallDir/server/conf
#
OLD_APPLICATION_HOME=

# Paramtre : -applicationContextRoot
# Syntaxe : -applicationContextRoot <racine>
# Description :
# 	Racine de contexte d'application.
# Valeur par dfaut :
# 	relm
# Contraintes :
#  - <racine> doit tre un nom unique de rpertoire valide ( savoir, aucune barre oblique dbut)
#
APPLICATION_CONTEXT_ROOT=relm

# Paramtre : -oldApplicationVersion
# Syntaxe : -oldApplicationVersion <version>
# Description :
# 	Version RELM  mettre  niveau.  Par dfaut, cela est
#     dtermin en appliquant la commande repotools -version  l'ancienne application.
# Valeur par dfaut :
# 	<aucune>
# Contraintes :
#  - doit tre une chane de version complte
#    Ex. : 1.0.0.1
#
OLD_APPLICATION_VERSION=

# Paramtre : -newApplicationHome
# Syntaxe : -newApplicationHome <chemin rp>
# Description :
# 	chemin du rpertoire de base de l'application dans la nouvelle installation.
# Valeur par dfaut :
# 	<currentDir>/conf
# Contraintes :
#  - Il s'agit d'un paramtre obligatoire
#  - <chemin rp> doit tre un rpertoire existant qui se termine par 'server\conf'
#     e.g. /opt/ibm/JazzInstallDir/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Paramtre : -updateTomcatFiles
# Syntaxe : -updateTomcatFiles <yes | no>
# Description :
# 	Indique si les fichiers de configuration Tomcat doivent tre mis  jour.
# Valeur par dfaut :
# 	yes
# Contraintes :
#  - Seules valeurs 'yes' et 'no' sont valides
#
UPDATE_TOMCAT_FILES=yes

# Paramtre : -oldApplicationTomcatHome
# Syntaxe : -oldApplicationTomcatHome <chemin rp>
# Description :
# 	Chemin d'accs complet au rpertoire racine Tomcat dans l'ancienne installation.
# Valeur par dfaut :
# 	<aucune>
# Contraintes :
#  - Doit tre un rpertoire existant
#
OLD_APP_TOMCAT_HOME=

# Paramtre : -newApplicationTomcatHome
# Syntaxe : -newApplicationTomcatHome <chemin rp>
# Description :
# chemin d'accs au rpertoire racine Application Tomcat dans la nouvelle installation.
# Valeur par dfaut :
# 	<aucune>
#
NEW_APP_TOMCAT_HOME=

# Paramtre : -newJTSHome
# Syntaxe : -newJTSHome <chemin rp>
# Description :
# chemin d'accs au rpertoire de configuration du serveur JTS que va utiliser la nouvelle installation.
# Valeur par dfaut :
# 	Rpertoire principal de la nouvelle application
# Contraintes :
#  - <chemin rpertoire> doit correspondre  un rpertoire existant se terminant par 'server\conf'
#
NEW_JTS_HOME=

# Paramtre : -jtsContextRoot
# Syntaxe : -jtsContextRoot <racine>
# Description :
# 	Racine de contexte du serveur JTS.
# Valeur par dfaut :
# 	jts
# Contraintes :
#  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
#
JTS_CONTEXT_ROOT=jts

# Paramtre : -noPrompt
# Syntaxe : -noPrompt
# Description :
# 	Ne pas demander confirmation avant la cration ou la modification des tables
# Valeur par dfaut :
# 	<aucune>
# Contraintes :
#  - Les seules valeurs valides sont la valeur vide et 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Paramtre : -noVerify
# Syntaxe : -noVerify
# Description :
# 	Ne pas vrifier les fichiers teamserver.properties.
# Valeur par dfaut :
# 	<aucune>
# Contraintes :
#  - Les seules valeurs valides sont la valeur vide et 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Paramtre : -overwrite
# Syntaxe : -overwrite
# Description :
# 	Indique si les fichiers existants doivent tre #placs.
# Valeur par dfaut :
# 	no
# Contraintes :
#  - Les seules valeurs valides sont la valeur vide et 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Paramtre : -noStepPrompt
# Syntaxe : -noStepPrompt
# Description :
# 	Ne pas demander confirmation avant l'excution d'une tape.
# Valeur par dfaut :
# 	false
# Contraintes :
#  - Les seules valeurs valides sont 'true' ou 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
